# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PolygonStipple Class Reference

RenderState wrapping the OpenGL function glPolygonStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonStipple.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PolygonStipple:

List of all members.

## Public Member Functions

| PolygonStipple ()
| PolygonStipple (const unsigned char *mask)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (const unsigned char *mask)
const unsigned char * | mask () const
virtual ref< RenderState > | clone () const

## Protected Attributes

unsigned char | mMask [32 *32/8]

## Detailed Description

RenderState wrapping the OpenGL function glPolygonStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonStipple.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_POLYGON_STIPPLE

Definition at line 1149 of file Shader.hpp.

## Constructor & Destructor Documentation

PolygonStipple::PolygonStipple | ( | ) |

Definition at line 588 of file Shader.cpp.

References mMask, and VL_DEBUG_SET_OBJECT_NAME.

PolygonStipple::PolygonStipple | ( | const unsigned char * | mask ) |

Definition at line 594 of file Shader.cpp.

References mask(), and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::PolygonStipple::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1158 of file Shader.hpp.

References vl::RS_PolygonStipple.

void PolygonStipple::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 605 of file Shader.cpp.

References mask(), and VL_CHECK_OGL.

void PolygonStipple::set | ( | const unsigned char * | mask ) |

Definition at line 600 of file Shader.cpp.

References mMask.

const unsigned char* vl::PolygonStipple::mask | ( | ) | const`[inline]`

Definition at line 1164 of file Shader.hpp.

Referenced by apply(), and PolygonStipple().

virtual ref<RenderState> vl::PolygonStipple::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1166 of file Shader.hpp.

## Member Data Documentation

unsigned char vl::PolygonStipple::mMask[32 *32/8]`[protected]`

Definition at line 1174 of file Shader.hpp.

Referenced by PolygonStipple(), and set().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.